<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' and `serius` = 'forum' LIMIT 1");
if ($ban -> num_rows > 0) {
header('location: '.ROOT.'ban.php?mode=forum');
}
switch($do) {
//Удаление темы
case 'tema':
if ($aut == true and $id != false and ($ya['level']>3)) {
$sql = $db -> query("SELECT `id`,`name` FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Удаление темы');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранную тему?<br/>
<a href="del.php?id='.$id.'&amp;do=tema&amp;true">Да</a> | <a href="tema'.$id.'">Нет</a>';
$msg.='</div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> multi_query("DELETE FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1; DELETE FROM `forum_posts` WHERE `tema` = '".$id."'");
header('location: index.php?id='.$ass['fid']);
}
} else header('location: index.php');
} else header('location: tema'.$id);
break;
///Удаление голосования
case 'golos':
if ($aut == true and $id != false) {
$sql = $db -> query("SELECT * FROM `golos` WHERE `where` = 'forum' and `id_w` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$f_t = $db -> query("SELECT `status` FROM `forum_tems` WHERE `id` = '".$id."'")-> fetch_assoc();
if($f_t['status']==0){
$ass = $sql -> fetch_assoc();
$autor = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '$id' LIMIT 1")-> fetch_assoc();
if ($ya['id'] == $autor['user'] or $ya['level']>3) {
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Удаление голосования');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['name'].'</span><br/>Вы точно хотите удалить данное голосование?<br/>
<a href="del.php?id='.$id.'&amp;do=golos&amp;true">Да</a> | <a href="tema'.$id.'">Нет</a>';
$msg.='</div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{
$db -> query("DELETE FROM `golos` WHERE `id` = '".$ass['id']."' LIMIT 1");
$db -> query("DELETE FROM `golosind` WHERE `golosid` = '".$ass['id']."'");
header('location: tema'.$id);}
} else header('location: tema'.$id);
} else header('location: tema'.$id);
} else header('location: tema'.$id);
} else header('location: index.php');
break;
///Удаление закладок
case 'dnuts':
$nuts = $db -> dbcount('count(`id`)','nuts',"`idwh` = '".$id."' and `where`='forum'");
$vs = $db -> query("Select * FROM `nuts` WHERE `idwh` = '".$id."' and `where`='forum'")-> fetch_assoc();
if ($aut == true and $nuts!=0) {
$sql = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Удаление закладки');
$msg.='<div class="fon">';
$msg .= 'Тема: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить из закладок данную тему?<br/>
<a href="./del.php?do=dnuts&amp;id='.$id.'&amp;true">Да</a> | <a href="tema.php?id='.$id.'">Нет</a>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$diz -> head('Удаление закладки');
     $diz -> title('Удаление закладки');
     $msg.='<div class="fon">Тема была успешно удалена из закладок!</div>';
$db -> query("DELETE FROM `nuts` WHERE `idwh` = '".$id."' and `where`='forum' and `user`='$ya[id]' LIMIT 1");
     header('refresh: 2; url=tema?id='.$id.'');
     $msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="tema?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
} else header('location: index.php?id='.$vs['razdel'].'');
} else header('location: tema.php?id='.$id.'');
break;
//Удаление постов
default:
if ($aut == true and $id != false) {
$sql = $db -> query("SELECT `user`,`tema`,`text` FROM `forum_posts` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
$f_t = $db -> query("SELECT `status` FROM `forum_tems` WHERE `id` = '".$ass['tema']."'")-> fetch_assoc();
if($f_t['status']==0){
if ($ya['id'] == $ass['user'] or $ya['level']>4) {
if (!isset($_GET['true'])) {
$diz -> head('Форум');
$diz -> title('Удаление поста');
$msg.='<div class="fon">';
$msg .= '<span>'.$ass['text'].'</span><br/>Вы точно хотите удалить данный пост<br/>
<a href="del.php?id='.$id.'&amp;true">Да</a> | <a href="tema'.$ass['tema'].'">Нет</a>';
$msg.='</div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{
$db -> query("DELETE FROM `forum_posts` WHERE `id` = '".$id."' LIMIT 1");
header('location: tema'.$ass['tema']);}
} else header('location: tema.php?id='.$id.'');
} else header('location: tema'.$ass['tema']);
} else header('location: tema'.$ass['tema'].'');
} else header('location: tema'.$ass['tema'].'');
}
?>